#!/bin/sh
#
# Archive all system and user data from active Hdd to External 300gb HD
#
date >/tmp/rsync.log

mount /dev/sda1 /media/usbdisk >>/tmp/rsync.log

if [ ! -e /media/usbdisk/backup? ];then echo "daily usbdisk failed to mount or wrong disk (needs 1)";exit 1;else

rsync -aPv /home /media/usbdisk/backup/ >> /tmp/rsync.log
rsync -aPv /etc /media/usbdisk/backup/ >> /tmp/rsync.log
rsync -aPv /root /media/usbdisk/backup/ >>/tmp/rsync.log
date >>/tmp/rsync.log
umount /media/usbdisk >>/tmp/rsync.log
fi

cat /tmp/rsync.log | grep -v "file\.\.\." | mail admin -s "Full backup log"

